Gå til innhold
  • Bli medlem

ZHA Zigbee som ikke vil starte (se feilmelding)


Teknor

Anbefalte innlegg

Får ikke aktivert ZHA på Home Assitant OS. Har fungert stabilt i et par måneder, men siste to dagne begynt å bli trøblete. For nå å ikke starte i det hele tatt. Har en RaspberryPI 4 med SSD. Zigbee dongelen er koblet til en 1 meters forlengelseskabel.

 

Kan dette være den beryktede inferens utfordringen mellom Zigbee og SSD, HW feil som plutselig slo til, eller noe SW greier?

 

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:172
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 21:25:53 (3 occurrences)
Last logged: 21:26:40

Couldn't start ZNP = Texas Instruments Z-Stack ZNP protocol: CC253x, CC26x2, CC13x2 coordinator (attempt 1 of 3)
Couldn't start ZNP = Texas Instruments Z-Stack ZNP protocol: CC253x, CC26x2, CC13x2 coordinator (attempt 2 of 3)
Couldn't start ZNP = Texas Instruments Z-Stack ZNP protocol: CC253x, CC26x2, CC13x2 coordinator (attempt 3 of 3)
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py", line 664, in _skip_bootloader
    result = await responses.get()
  File "/usr/local/lib/python3.10/asyncio/queues.py", line 159, in get
    await getter
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 172, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 144, in new
    await app.startup(auto_form=auto_form)
  File "/usr/local/lib/python3.10/site-packages/zigpy/application.py", line 124, in startup
    await self.connect()
  File "/usr/local/lib/python3.10/site-packages/zigpy_znp/zigbee/application.py", line 106, in connect
    await znp.connect()
  File "/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py", line 706, in connect
    self.capabilities = (await self._skip_bootloader()).Capabilities
  File "/usr/local/lib/python3.10/site-packages/zigpy_znp/api.py", line 663, in _skip_bootloader
    async with async_timeout.timeout(CONNECT_PROBE_TIMEOUT):
  File "/usr/local/lib/python3.10/site-packages/async_timeout/__init__.py", line 129, in __aexit__
    self._do_exit(exc_type)
  File "/usr/local/lib/python3.10/site-packages/async_timeout/__init__.py", line 212, in _do_exit
    raise asyncio.TimeoutError
asyncio.exceptions.TimeoutError
 

Lenke til kommentar
Del på andre sider

Det enkle er å kikke i "hardware" oversikten til HA og se om "dingsen" fortsatt står tilkoblet samme usb-port.

Hvilken adresse har du brukt? Den korte lignende dette, /dev/ttyUSB0 som kan endre seg?
Eller den lange, lignende dette, /dev/serial/by-id/usb-Silicon_Labs_Sonoff_Zigbee_3.0_USB_Dongle_Plus_0001-if00-port0 som ikke skal bli endret av operativsystemet?

Lenke til kommentar
Del på andre sider

Mulig dette er et sent svar, men du kan finne ut hvilken usb port du brukte ved å gå inn på din HA backup og lete etter filen "core.config_entries". Det er en skjult fil som ligger under disse katalogene: C:\Temp\core_2022_9_7\homeassistant.tar\homeassistant\data\.storage. I filen core.config_entries søker du etter "zha" eller "USB Serial".

 

      {
        "entry_id": "38844e21bb87da901b1d041250503be4",
        "version": 3,
        "domain": "zha",
        "title": "USB Serial, s/n: n/a",
        "data": {
          "radio_type": "znp",
          "device": {
            "path": "/dev/serial/by-id/usb-1a86_USB_Serial-if00-port0",
            "baudrate": 115200,
            "flow_control": null
          }
        },

 

Endret av haraldov
  • Like 1
Lenke til kommentar
Del på andre sider

Bli med i samtalen

Du kan publisere innhold nå og registrere deg senere. Hvis du har en konto, logg inn nå for å poste med kontoen din.

Gjest
Skriv svar til emnet...

×   Du har limt inn tekst med formatering.   Lim inn uten formatering i stedet

  Du kan kun bruke opp til 75 smilefjes.

×   Lenken din har blitt bygget inn på siden automatisk.   Vis som en ordinær lenke i stedet

×   Tidligere tekst har blitt gjenopprettet.   Tøm tekstverktøy

×   Du kan ikke lime inn bilder direkte. Last opp eller legg inn bilder fra URL.

×
×
  • Opprett ny...